umbrello: RubyCodeGenerationPolicy Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
RubyCodeGenerationPolicy Class Reference

`#include <rubycodegenerationpolicy.h>`

Inheritance diagram for RubyCodeGenerationPolicy:

## Public Member Functions
| RubyCodeGenerationPolicy ()
virtual | ~RubyCodeGenerationPolicy ()
void | setAutoGenerateAttribAccessors (bool var)
bool | getAutoGenerateAttribAccessors ()
void | setAutoGenerateAssocAccessors (bool var)
bool | getAutoGenerateAssocAccessors ()
virtual void | setDefaults (CodeGenPolicyExt *defaults, bool emitUpdateSignal=true)
virtual void | setDefaults (bool emitUpdateSignal=true)
CodeGenerationPolicyPage * | createPage (QWidget *parent=0, const char *name=0)
Public Member Functions inherited from CodeGenPolicyExt
| CodeGenPolicyExt ()
virtual | ~CodeGenPolicyExt ()
virtual CodeGenerationPolicyPage * | createPage (QWidget *parent=0, const char *name=0)=0
virtual void | setDefaults (bool emitUpdateSignal=true)=0

## Private Member Functions
void | init ()

## Private Attributes
CodeGenerationPolicy * | m_commonPolicy

## Constructor & Destructor Documentation

## ◆ RubyCodeGenerationPolicy()

RubyCodeGenerationPolicy::RubyCodeGenerationPolicy | ( |  | ) |

Constructor.

## ◆ ~RubyCodeGenerationPolicy()

RubyCodeGenerationPolicy::~RubyCodeGenerationPolicy | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ createPage()

CodeGenerationPolicyPage * RubyCodeGenerationPolicy::createPage | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |
| virtual

Create a new dialog interface for this object.

Parameters

  parent | the parent widget
  name | the name of the page

Returns
  dialog object

Implements CodeGenPolicyExt.

## ◆ getAutoGenerateAssocAccessors()

bool RubyCodeGenerationPolicy::getAutoGenerateAssocAccessors | ( |  | ) |

Get the value of m_autoGenerateAssocAccessors.

Returns
  the value of m_autoGenerateAssocAccessors

## ◆ getAutoGenerateAttribAccessors()

bool RubyCodeGenerationPolicy::getAutoGenerateAttribAccessors | ( |  | ) |

Get the value of m_autoGenerateAttribAccessors

Returns
  the value of m_autoGenerateAttribAccessors

## ◆ init()

void RubyCodeGenerationPolicy::init | ( |  | ) |
| private

Initialisation.

## ◆ setAutoGenerateAssocAccessors()

void RubyCodeGenerationPolicy::setAutoGenerateAssocAccessors | ( | bool | var | ) |

Set the value of m_autoGenerateAssocAccessors.

Parameters

  var | the new value

## ◆ setAutoGenerateAttribAccessors()

void RubyCodeGenerationPolicy::setAutoGenerateAttribAccessors | ( | bool | var | ) |

Set the value of m_autoGenerateAttribAccessors.

Parameters

  var | the new value

## ◆ setDefaults() [1/2]

void RubyCodeGenerationPolicy::setDefaults | ( | bool | emitUpdateSignal = `true` | ) |
| virtual

Set the defaults from a config file for this code generator from the passed KConfig pointer.

Parameters

  emitUpdateSignal | flag whether to emit the update signal

Implements CodeGenPolicyExt.

## ◆ setDefaults() [2/2]

void RubyCodeGenerationPolicy::setDefaults | ( | CodeGenPolicyExt * | defaults,
|  | bool | emitUpdateSignal = `true`
| ) |  |
| virtual

Set the defaults for this code generator from the passed generator.

Parameters

  defaults | the defaults to set
  emitUpdateSignal | flag whether to emit the update signal

## Member Data Documentation

## ◆ m_commonPolicy

CodeGenerationPolicy* RubyCodeGenerationPolicy::m_commonPolicy
| private

The documentation for this class was generated from the following files:

- umbrello/codegenerators/ruby/rubycodegenerationpolicy.h
- umbrello/codegenerators/ruby/rubycodegenerationpolicy.cpp